Reference plane at the edge of the wall

i was trying to create reference plane at the edge of the wall. But I don’t know which node can retrieve the coordinates of the edges of wall.

You could get the location/center line of the wall and offset by half the thickness in both directions.

is there any node to access center line

Element.GetLocation will give you the center line of a wall.

I got this error message when I connect the view. what is the difference between views and floor plan view

Can I see your code? It could be that you forgot to unwrap the element.

Version:0.9 StartHTML:00000097 EndHTML:00002294 StartFragment:00000199 EndFragment:00002256 import clr
clr.AddReference(‘ProtoGeometry’)
from Autodesk.DesignScript.Geometry import *
clr.AddReference(‘RevitAPI’)
from Autodesk.Revit.DB import *
clr.AddReference(‘RevitServices’)
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument

The inputs to this node will be stored as a list in the IN variables.

#bubbleEnd = UnwrapElement(IN[0])
bubbleEnd = IN[0]
freeEnd = IN[1]
cutVer = IN[2]
docAview = IN[3]

Place your code below this line

refPlane = doc.Create.NewReferencePlane(bubbleEnd, freeEnd, cutVer, docAview)

Assign your output to the OUT variable.

OUT = bubbleEnd, freeEnd, cutVer, docAview, doc

Yeah the docAview should be unwrapped. Replace that line with:
docAview = UnwrapElement(IN[3])

thank you for ur help. I almost achieved my goal. Is it possible to retrieve only the values from the below list? I need (x_value,y_value,z_value) instead of point(x = 0.00, y = 0.00, z = 0.00).

Yes. Points have a property like .X, .Y, .Z to get those, so you can do pt.X, etc. to get those numbers. Alternatively, there is a way to convert Dynamo Points to Revit XYZs: https://github.com/DynamoDS/Dynamo/wiki/Python-0.6.3-to-0.7.x-Migration
Look for the section on GeometryObjects.

1 Like

Hi,

There are some nodes that you can find useful in the Genius Loci package.
Are you looking for vertical or horizontal edges ?

1 Like

Actually I need to draw a reference plane through the outer edge of the wall. so i need to get the bottom coordinates and upper coordinates